2018-06-21  Dmitry Gutov  <dgutov@yandex.ru>

	Release 0.5.7

2018-06-15  Dmitry Gutov  <dgutov@yandex.ru>

	Fix mmm-indent-line-narrowed

	To actually call the indent function inside the narrowing

	Cc @AdamNiederer

2018-03-23  Dmitry Gutov  <dgutov@yandex.ru>

	Release 0.5.6

2018-03-23  Dmitry Gutov  <dgutov@yandex.ru>

	Remove #' from all lambda forms

2018-03-23  Dmitry Gutov  <dgutov@yandex.ru>

	Fix Emacs 26+

2018-03-23  Dmitry Gutov  <dgutov@yandex.ru>

	Replace cadddr and caddr with nth

2018-03-23  Adam Niederer  <adam.niederer@gmail.com>

	Namespace the rest of the functions in mmm-region

2018-03-23  Adam Niederer  <adam.niederer@gmail.com>

	Namespace unnamespaced cl- functions with mmm-

	Also fixup delimiters in mmm-compat

2018-03-23  Adam Niederer  <adam.niederer@gmail.com>

	Revert cl namespacing and add aliases for emacs < 26

2018-03-23  Adam Niederer  <adam.niederer@gmail.com>

	Namespace cl functions

2018-03-20  Dmitry Gutov  <dgutov@yandex.ru>

	Merge branch 'master' of github.com:purcell/mmm-mode

2018-03-20  Dmitry Gutov  <dgutov@yandex.ru>

	Add a couple of FIXMEs

2018-03-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix various compiler warnings and other cosmetic details

	* .gitignore: Add ELPA-generated files.

	* mmm-class.el (mmm-apply-classes): Don't use add-to-list on local var.

	* mmm-erb.el (mmm-erb-indent-to-region-start): Remove unused var
	'indent'.

	* mmm-mode.el: Fix ";;;" commenting style.
	(mmm-mode-off): Don't bother restoring syntax-begin-function.
	* mmm-region.el (mmm-update-mode-info): Don't bother saving 
	syntax-begin-function.
	(mmm-refontify-maybe): Use font-lock-flush when available.
	(syntax-ppss-cache, syntax-ppss-last): Declare.

	* mmm-noweb.el (mmm-noweb-regions): Remove unused arg 'delim'.

	* mmm-vars.el: Move defvars outside of eval-when-compile. Add
	declare-functions to silence byte-compiler.

2018-03-18  Steve Purcell  <steve@sanityinc.com>

	Note that ELPA is now the preferred installation source

2018-03-16  Dmitry Gutov  <dgutov@yandex.ru>

	Add copyright blurbs to the test files

2018-03-16  Dmitry Gutov  <dgutov@yandex.ru>

	And more

2018-03-16  Dmitry Gutov  <dgutov@yandex.ru>

	More text

2018-03-16  Dmitry Gutov  <dgutov@yandex.ru>

	(Mostly) remove some earlier entries

2018-03-16  Dmitry Gutov  <dgutov@yandex.ru>

	Write TODO some more

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Fix copyright entry

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Add a FIXME

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Add to TODO

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Add cl-lib package dependency

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Release 0.5.5

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Update copyright dates again

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Use cl-lib instead of cl

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Add some NEWS entries

2018-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	Update the copyright notices

	Michal and Alan have assigned their copyright to FSF here.

2017-12-13  Dmitry Gutov  <dgutov@yandex.ru>

	Update Michael's email address to an active one

2017-09-29  Adam  <adam.niederer@gmail.com>

	Reword docstring & fix indentation

2017-09-27  Adam  <adam.niederer@gmail.com>

	Copy mmm-indent-line body into mmm-indent-narrowed

2017-09-27  Adam  <adam.niederer@gmail.com>

	Add function for narrowed indentation

	Sometimes, modes rely on functions like (point-min) or overstep their
	region when attempting to indent a line. This can cause issues like 
	https://github.com/AdamNiederer/vue-mode/issues/50

	This function narrows the buffer before indenting, preventing any issues
	which might arise from reliance on having one's own buffer.

	This doesn't change any defaults, but I figured some other mmm-mode
	derivatives could make use of this function.

2017-08-07  Adam Niederer  <Adam.Niederer@gmail.com>

	Document mode transition hooks

2017-08-03  Adam Niederer  <Adam.Niederer@gmail.com>

	Mode transition hooks

	Allows the user to set hooks to run when submodes are entered and left.
	Also allows the user to specify hooks for specific mode-to-mode
	transitions.

	An example below:

	(setq mmm-js-mode-exit-hook (lambda () (message "Run when leaving js
	mode")))
	(setq mmm-js-mode-enter-hook (lambda () (message "Run when entering js
	mode")))
	(setq mmm-vue-mode-js-mode-hook (lambda () (message "Run when moving
	From vue to js")))
	(setq mmm-js-mode-vue-mode-hook (lambda () (message "Run when moving
	From js to vue")))

2017-02-21  Dmitry Gutov  <dgutov@yandex.ru>

	Add c-symbol-char-key to the saved variables

	#68

2015-08-29  Dmitry Gutov  <dgutov@yandex.ru>

	Save font-lock-syntactic-face-function per major mode

	Fixes #57

2015-08-10  Dmitry Gutov  <dgutov@yandex.ru>

	Fix regression from the previous commit

	* Fix void-function error ("another error" in
	 https://gist.github.com/blaenk/edcd2d4280dc5fc99a83, #56)

	* Just skip narrowing for cc-mode submodes

2015-07-30  Dmitry Gutov  <dgutov@yandex.ru>

	Make c-mode raise fewer errors

	#55

2015-07-16  Dmitry Gutov  <dgutov@yandex.ru>

	Revert "mmm-match-region: Return front-pos even without front-delim;
	likewise for back"

	This reverts commit 4e218824039090af6e579dabe91ebfaaa291440d.

2015-07-16  Dmitry Gutov  <dgutov@yandex.ru>

	mmm-match-region: Return front-pos even without front-delim; likewise
	for back

	Fixes #53

2015-06-24  Steve Purcell  <steve@sanityinc.com>

	Release 0.5.4

2015-06-23  Dmitry Gutov  <dgutov@yandex.ru>

	Update the checklist

2015-06-23  Dmitry Gutov  <dgutov@yandex.ru>

	Don't use version.texi at all

	Closes #46

2015-06-11  Dmitry Gutov  <dgutov@yandex.ru>

	Don't try to enable jit-lock in temp buffers

	Fixes #51

2015-03-25  Syohei YOSHIDA  <syohex@gmail.com>

	Fix invalid function call

	Argument count of mmm-submode-changes-in is 2.

2015-03-21  Dmitry Gutov  <dgutov@yandex.ru>

	mmm-indent-line: Use primary mode if submode ends right here

2015-03-21  Dmitry Gutov  <dgutov@yandex.ru>

	mmm-save-local-variables: Add forward-sexp-function and SMIE-related
	vars

	#49

2015-03-19  Yuta Namiki	 <namikister@gmail.com>

	fix the problem that mmm-major-mode-preferences has no effect for css.

2015-01-17  Dmitry Gutov  <dgutov@yandex.ru>

	Released 0.5.2

2015-01-17  Dmitry Gutov  <dgutov@yandex.ru>

	Update NEWS

2015-01-17  Dmitry Gutov  <dgutov@yandex.ru>

	Update TODO

2014-12-28  Dmitry Gutov  <dgutov@yandex.ru>

	Remove version.texi from the repo

	Closes #41

2014-11-05  Dmitry Gutov  <dgutov@yandex.ru>

	Fix #40

2014-02-12  Dmitry Gutov  <dgutov@yandex.ru>

	Don't use syntax-begin-function

	http://lists.gnu.org/archive/html/emacs-devel/2014-02/msg00226.html
	#37

2014-02-10  Dmitry Gutov  <dgutov@yandex.ru>

	Fix #37

2013-10-28  Dmitry Gutov  <dgutov@yandex.ru>

	* Enable MMM in ERB and PHP files with just one extension (#36)
	* Mention php-mode installation requirement

2013-10-27  Dmitry Gutov  <dgutov@yandex.ru>

	Limit html-php to .php files

2013-10-27  Dmitry Gutov  <dgutov@yandex.ru>

	Add mmm-defaults.el (#36)

2013-09-24  Akinori MUSHA  <knu@idaemons.org>

	Allow omitting the close tag of the last PHP code block.

	It is common manners to omit the close tag to avoid the trailing newline
	problem.

2013-06-06  Tomoya Tanjo  <ttanjo@gmail.com>

	Add magic comment for autoload to mmm-add-classes

2013-05-04  Dmitry Gutov  <dgutov@yandex.ru>

	Fix sporadic keywords mishighlighting in sql-mode

	And add three tests, the third one is testing for this fix.

	Inspired by #30.

2013-04-03  Dmitry Gutov  <dgutov@yandex.ru>

	mmm-beginning-of-syntax: Don't consider overlays ending at point

2013-04-02  Dmitry Gutov  <dgutov@yandex.ru>

	Fix #26

2013-03-22  Steve Purcell  <steve@sanityinc.com>

	Fix missing var declaration

2013-03-12  Dmitry Gutov  <dgutov@yandex.ru>

	Expected results depend on the Emacs version

2013-03-12  Dmitry Gutov  <dgutov@yandex.ru>

	Add two failing tests

	Refs #26

2013-03-12  Dmitry Gutov  <dgutov@yandex.ru>

	Primary mode spf should see the whole buffer

	Or it becomes mistaken about the level of nesting.

	Also, don't keep cached `syntax-ppss' values between subregions, they
	can be incompatible (#26).

2013-03-11  Dmitry Gutov  <dgutov@yandex.ru>

	Add first test ever

2013-03-03  Dmitry Gutov  <dgutov@yandex.ru>

	Fix #23

	* mmm-erb-scan-erb: Only reject region of type 'open when close-re
	applies at
	 the end of the region, this way we're less likely to trip over hashes.

	* mmm-submode-changes-in: Only add start and stop when either is not
	inside
	 submode regions. This way `mmm-regions-in' doesn't split regions.

2013-03-01  Dmitry Gutov  <dgutov@yandex.ru>

	Released 0.5.1

2013-03-01  Dmitry Gutov  <dgutov@yandex.ru>

	Delete .cvsignore, move almost everything to .gitignore

2013-02-27  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-update-mode-info: bind `buffer-file-truename' to nil

2013-02-25  Dmitry Gutov  <dgutov@yandex.ru>

	Don't make the temp buffer unmodified before killing it

2013-02-22  Dmitry Gutov  <dgutov@yandex.ru>

	Fix mmm-add-to-major-mode-preferences docstring

	https://sourceforge.net/tracker/?func=detail&aid=904833&group_id=8658&atid=108658

2013-02-22  Dmitry Gutov  <dgutov@yandex.ru>

	Fix typo: global-mmm-mode -> mmm-global-mode

2013-02-22  Dmitry Gutov  <dgutov@yandex.ru>

	Update the FAQ

2013-02-22  Dmitry Gutov  <dgutov@yandex.ru>

	Add mmm-erb.el to lisp_LISP

2013-02-22  Dmitry Gutov  <dgutov@yandex.ru>

	Released 0.5.0

2013-02-12  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-erb.el: Update comments

2013-02-12  Dmitry Gutov  <dgutov@yandex.ru>

	Add "Maintainer" and some copyright headers

2013-02-12  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-syntax-propertize-function: Don't pass nil to
	mmm-set-local-variables

	This is too similar to 61b9cf4.

2013-02-11  Dmitry Gutov  <dgutov@yandex.ru>

	Update NEWS

2013-02-11  Dmitry Gutov  <dgutov@yandex.ru>

	Remove the useless CVS $Id tags

2013-02-11  Dmitry Gutov  <dgutov@yandex.ru>

	Move html-js and html-css classes from mmm-erb to mmm-sample

	* Overwrite JS and CSS classes that were already there.

	* Disregard type and language attributes. The latter is obsolete, the
	former is
	 made optional in HTML5. If we're ever going to dispatch to appropriate
	submode
	 based on attribute value, we can add them back.

	* No submode regions for inline code in on* attributes, the added
	functionality
	 is not worth the slowdown (font-lock and indentation are largely
	unused), and
	 such attributes are bad practice anyway.

2013-02-10  Dmitry Gutov  <dgutov@yandex.ru>

	Merge pull request #22 from purcell/indentation

	Merge branch 'indentation'

2013-02-10  Dmitry Gutov  <dgutov@yandex.ru>

	Say goodbye to Emacs 19

2013-02-10  Dmitry Gutov  <dgutov@yandex.ru>

	Remove regexp-opt's legacy stuff

	https://sourceforge.net/tracker/?func=detail&aid=832660&group_id=8658&atid=308658 
	http://list-archive.xemacs.org/pipermail/xemacs-beta/2004-January/000147.html

2013-02-10  Dmitry Gutov  <dgutov@yandex.ru>

	Define mmm-indent-line-function and its default value

	* Now html-erb-mode can just set mmm-indent-line-function.
	* Easier access to the submode's indent-line-function. No need to hack
	around.
	* mmm-indent-line indents according to the submode at the indentation,
	which is more
	 consistent than previously.

2013-02-09  Dmitry Gutov  <dgutov@yandex.ru>

	Some compatibiliy tweaks

	* Prioritize syntax-begin-function over
	font-lock-beginning-of-syntax-function.
	* Check if syntax-propertize-function is bound. It isn't in Emacs 23.

2013-02-08  Dmitry Gutov  <dgutov@yandex.ru>

	Add URL header

2013-02-08  Dmitry Gutov  <dgutov@yandex.ru>

	Update the TODO

2013-02-08  Dmitry Gutov  <dgutov@yandex.ru>

	Remove the angle brackets

2013-02-08  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-noweb.el: Qualify the "doesn't work" statement.

2013-02-08  Dmitry Gutov  <dgutov@yandex.ru>

	Make README more up-to-date

2013-02-08  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-noweb.el: Add the FIXME note.

2013-02-04  Dmitry Gutov  <dgutov@yandex.ru>

	Rebinding syntax-propertize-chunk-size is pointless

	It's only used in the caller, to determine STOP.

2013-02-04  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-regions-in: Keep overlay references in the return value
	* mmm-fontify-region-list, mmm-syntax-propertize-function: Use them.
	* mmm-erb-scan-region: Same.
	* mmm-submode-overlay-at: Remove, not used anymore.

	And bump the version, this is a change in the API. Hopefuly, a
	relatively safe one.

2013-02-03  Dmitry Gutov  <dgutov@yandex.ru>

	Rewrite mmm-regions-alist for performance

	Not much improvement here, but at least we don't iterate multiple times
	over the same list now.

2013-02-03  Dmitry Gutov  <dgutov@yandex.ru>

	Revert c548593, for easier optimization

	* mmm-fontify-region-list: Don't set global and buffer vars when the
	submode
	 hasn't changed. Gives us nice perfomance boost.

2013-02-03  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-apply-all: flush syntax cache

2013-02-03  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-syntax-propertize-function: Use font-lock-syntactic-keywords
	 with less fortunate submodes.
	* Don't clear text properties, syntax-propertize already does that for
	us.

2013-02-01  Dmitry Gutov  <dgutov@yandex.ru>

	Define mmm-syntax-propertize-function

	This is faster, but still kinda slow.

2013-02-01  Dmitry Gutov  <dgutov@yandex.ru>

	Use syntax-propertize-function set in submodes

	WIP, it visibly slows down parsing.

2013-01-30  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-set-local-variables: Default to mmm-primary-mode

2013-01-30  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-make-region: Don't call mmm-save-changed-local-variables, or set
	the
	 mmm-previous-* vars, the next successful call to
	mmm-update-submode-region
	 will do that for us.

2013-01-30  Dmitry Gutov  <dgutov@yandex.ru>

	Don't recompute the current overlay in mmm-set-local-variables

	Instead pass it the current overlay as a second argument.

	* Rename mmm-set-current-submode to mmm-set-current-pair, take overlay
	as the
	 second argument.
	* Use the above in mmm-update-current-submode.
	* mmm-get-saved-local-variables: Take overlay as the second argument,
	move the
	 filtering code to a new function, mmm-submode-overlay-at, use it in
	 mmm-fontify-region-list.
	* mmm-save-changed-local-variables: Reverse the arguments order, for
	consistency
	 with other functions. Update callers.
	* mmm-fontify-region: Save the current overlay instead of its beginning
	 position, then restore it directly.
	* mmm-make-region: Pass the newly created region to
	mmm-set-local-variables,
	 instead of making the latter look for the former at point, like
	previously.

2013-01-26  Steve Purcell  <steve@sanityinc.com>

	Merge pull request #19 from dgutov/font-lock

	Allow toggling whitespace-mode

2013-01-25  Dmitry Gutov  <dgutov@yandex.ru>

	Allow toggling whitespace-mode after initialization

	Refs #5

2013-01-25  Prakash Kailasa  <pk-github@kailasa.net>

	added more cc-mode variables to mmm-save-local-variables

2013-01-25  Dmitry Gutov  <dgutov@yandex.ru>

	Simplify mmm-update-mode-info

	* Use non-hidden name for the temporary buffer, for better font-lock
	 initialization (and for minor modes that depend on it, like
	whitespace-mode).
	* Kill the temp buffer in an unwind form, error or not.
	* Don't check if it's XEmacs version 20, 21 came out 14 years ago.
	* Get rid of `mmm-font-lock-available-p' and
	`mmm-set-font-lock-defaults'. The
	 former was only used with Emacs < 21, the latter is just unused now.

2013-01-25  Dmitry Gutov  <dgutov@yandex.ru>

	Don't pass nil to mmm-set-local-variables

	Finishes e848ef1.

2013-01-21  Dmitry Gutov  <dgutov@yandex.ru>

	* mmm-fontify-region: Save and restore submode, overlay and local vars

	This function is called from different positions, so just calling
	`mmm-update-submode-region' at the end is not enough.

2013-01-21  Dmitry Gutov  <dgutov@yandex.ru>

	Fix the timer error: "Selecting deleted buffer"

2013-01-21  Dmitry Gutov  <dgutov@yandex.ru>

	Revert "Refontify buffer when creating new region"

	This reverts commit 611505909722425fe0259cae393be55028d499e9.

	Not sure what I was fixing here, but probably a side-effect of some
	other bug. Buffer refontifies fine now, all by itself.

2013-01-18  Dmitry Gutov  <dgutov@yandex.ru>

	Remove duplicate entries

	Result of some bad merge years ago

2013-01-18  Dmitry Gutov  <dgutov@yandex.ru>

	Save values of more cc-mode variables

2012-12-24  Dmitry Gutov  <dgutov@yandex.ru>

	Improve mmm-erb usage instructions

	Closes #14

2012-09-21  Steve Purcell  <steve@sanityinc.com>

	Merge pull request #13 from dgutov/master

	Fix problem with indentation in PHP regions (closes #12)

2012-09-21  Dmitry Gutov  <dgutov@yandex.ru>

	Fix #12

2012-09-02  Steve Purcell  <steve@sanityinc.com>

	Revert unintended check-in of mmm-erb changes

2012-09-02  Steve Purcell  <steve@sanityinc.com>

	Note availability of Melpa packages

2012-09-02  Steve Purcell  <steve@sanityinc.com>

	Note that 'autogen.sh' should be run to generate 'configure' and
	'Makefile.in' (see #11)

2012-08-03  Dmitry Gutov  <dgutov@yandex.ru>

	Document nxml-mode based setup

2012-08-03  Dmitry Gutov  <dgutov@yandex.ru>

	Don't confuse script tags with EJS tags

2012-08-02  Dmitry Gutov  <dgutov@yandex.ru>

	Update instructions and docstrings

2012-08-02  Dmitry Gutov  <dgutov@yandex.ru>

	Fix #8

2012-06-11  Steve Purcell  <steve@sanityinc.com>

	Require 'mmm-region from 'mmm-erb, avoiding compilation warnings about
	free variable references

2012-06-11  Steve Purcell  <steve@sanityinc.com>

	Add a few docstrings to make checkdoc happier.

2012-06-11  Steve Purcell  <steve@sanityinc.com>

	Switch mmm-erb.el to unix line endings, and add closing comment line

2012-06-11  Steve Purcell  <steve@sanityinc.com>

	Merge remote-tracking branch 'refs/remotes/dgutov/erb'

2012-06-11  Dmitry Gutov  <dgutov@yandex.ru>

	Reparse mmm-mode buffer when Emacs is idle

2012-06-11  Dmitry Gutov  <dgutov@yandex.ru>

	Add header comment, provide description

2012-06-11  Dmitry Gutov  <dgutov@yandex.ru>

	Correctly restore pre-indent position

2012-06-11  Dmitry Gutov  <dgutov@yandex.ru>

	Check for EJS "blocks"

2012-06-11  Dmitry Gutov  <dgutov@yandex.ru>

	Adjust indentation in primary mode for ERB blocks

2012-06-11  Dmitry Gutov  <dgutov@yandex.ru>

	Do syntax highlighting and indentation in ERB buffers

2012-06-05  Steve Purcell  <steve@sanityinc.com>

	Merge pull request #4 from dgutov/js-fix

	Make js-mode subregion fontification work

2012-06-05  Dmitry Gutov  <dgutov@yandex.ru>

	Add js-mode vars to `mmm-save-local-variables`

	* Deals with "Error during redisplay: (wrong-type-argument stringp
	nil)",
	 see http://web.archiveorange.com/archive/v/N57rDoqGacBSFpqrlDyt

2012-06-05  Dmitry Gutov  <dgutov@yandex.ru>

	Fix `mmm-insert-region' to not abort loop too soon

2012-05-29  Steve Purcell  <steve@sanityinc.com>

	Fix further compilation warnings in recent Emacsen

2012-05-29  Steve Purcell  <steve@sanityinc.com>

	Fix references to free variables

2012-05-29  Dmitry Gutov  <dgutov@yandex.ru>

	Fix fontification of the first subregion line

2012-05-29  Dmitry Gutov  <dgutov@yandex.ru>

	Refontify buffer when creating new region

2012-05-29  Dmitry Gutov  <dgutov@yandex.ru>

	After fontifying the region, restore local vars

2012-05-29  Dmitry Gutov  <dgutov@yandex.ru>

	Compatibility fix for mode line format of Emacs 23

	Patch from https://bugs.gentoo.org/311259?id=311259

2012-05-29  Steve Purcell  <steve@sanityinc.com>

	Fix compilation warnings

2012-05-11  Alexander Zangerl  <az@debian.org>

	Provide more sensible face defaults for dark and light backgrounds

2012-01-14  Steve Purcell  <steve@sanityinc.com>

	Ignore .elc files

2011-06-23  Steve Purcell  <steve@sanityinc.com>

	Fix obsolete backquotes

2010-12-17  Steve Purcell  <steve@sanityinc.com>

	Make reference to var font-lock-defaults-alist conditional; var is
	obsolete in Emacs 24.

2010-10-05  Steve Purcell  <steve@sanityinc.com>

	Don't use obsolete 'make-local-hook function in GNU Emacs

2010-05-07  Steve Purcell  <steve@sanityinc.com>

	Fix error in mmm-mode when Emacs 23 immediately evaporates zero-width
	submode regions

2004-11-19  alanshutko	<alanshutko>

	(lisp_LISP): Added mmm-myghty.el.

2004-11-19  alanshutko	<alanshutko>

	* mmm-myghty.el: New mode from Ben Bangert.

	* mmm-vars.el (mmm-major-mode-preferences): Added Python prefs, also
	from Ben.

	* mmm-auto.el (mmm-autoloaded-classes): Merged Ben Bangert's Myghty
	class.

2004-06-16  alanshutko	<alanshutko>

	* version.texi: Release 0.4.8.

	* mmm-vars.el: Release 0.4.8.

	* mmm-mode.el: Release 0.4.8.

2004-06-16  alanshutko	<alanshutko>

	* mmm-noweb.el (mmm-syntax-region-list)
	(mmm-syntax-other-regions, mmm-word-other-regions)
	(mmm-space-other-regions, mmm-undo-syntax-other-regions): Added from
	Joe's email.  They're here right now, until a better place can be found.

	* configure.in: Incr version for release.

2004-06-11  alanshutko	<alanshutko>

	(mmm-ify): Change defaults for front-delim and back-delim to nil.  0 was
	breaking the no-delimiter case in mmm-match-region.

2004-06-03  alanshutko	<alanshutko>

	(html-js): Support JS version in language attribute.

2004-06-01  alanshutko	<alanshutko>

	* mmm-vars.el (mmm-save-local-variables): Updated cc-mode local 
	variables.

	* Makefile.am (lisp_LISP): Removed mmm-php.el, since it doesn't appear
	to be in CVS.

	* missing: Updated for automake 1.7.9.

2003-10-19  alanshutko	<alanshutko>

	(mmm-save-local-variables): Add semantic stuff and c-syntactic-eol.

2003-06-19  viritrilbia	 <viritrilbia>

	*** empty log message ***

2003-04-28  viritrilbia	 <viritrilbia>

	Fixed back recognition of output regions.

2003-03-25  viritrilbia	 <viritrilbia>

	Added html-php submode class.

2003-03-25  viritrilbia	 <viritrilbia>

	Collapsed undo of insertion into one command.

2003-03-25  viritrilbia	 <viritrilbia>

	Added file for building SRPMs, thanks to bishop

2003-03-25  viritrilbia	 <viritrilbia>

	Added script and documentation for installing from CVS

2003-03-19  viritrilbia	 <viritrilbia>

	Added instructions for installing CVS version.

2003-03-19  viritrilbia	 <viritrilbia>

	Prevent bounds from going outside buffer (XEmacs complains)

2003-03-09  viritrilbia	 <viritrilbia>

	Added delimiter regions and region name matching.

2003-03-03  viritrilbia	 <viritrilbia>

	Implemented a 'local to submode class' keymap binding, using a dummy
	overlay.

2003-03-03  viritrilbia	 <viritrilbia>

	(mmm-define-key): Added optional keymap argument

2003-03-03  viritrilbia	 <viritrilbia>

	Fixed stupid bug, so autoloading will actually work

2003-03-03  viritrilbia	 <viritrilbia>

	*** empty log message ***

2003-03-03  viritrilbia	 <viritrilbia>

	Use correct variable name...

2003-03-02  viritrilbia	 <viritrilbia>

	Updated.

2003-03-02  viritrilbia	 <viritrilbia>

	Added Noweb documentation (Joe Kelsey) Added add-to-group docs (Joe
	Kelsey) Improved decoration level documentation.

2003-03-02  viritrilbia	 <viritrilbia>

	Added narrow to submode region (Joe Kelsey) Fixed validity of placement
	algorithm Run region entry hooks Added parameters to submode-changes-in
	(Joe Kelsey) Misc.

2003-03-02  viritrilbia	 <viritrilbia>

	Used match-string-no-properties (Joe Kelsey) Fixed spelling, moved
	mmm-make-marker to this file.

2003-03-02  viritrilbia	 <viritrilbia>

	Tested for only javascript <script> tags (Joe Kelsey)

2003-03-02  viritrilbia	 <viritrilbia>

	Trimmed ancient docstring. Added binding for narrow-to-submode (Joe
	Kelsey).

2003-03-02  viritrilbia	 <viritrilbia>

	Added mmm-noweb to autoload (Joe Kelsey)

2003-03-02  viritrilbia	 <viritrilbia>

	Added new files to be byte-compiled (Joe Kelsey)

2003-03-02  viritrilbia	 <viritrilbia>

	Updated docstrings and comments.  Added primary mode hook.

2003-03-02  viritrilbia	 <viritrilbia>

	Initial revision, from Joe Kesley.

2003-03-02  viritrilbia	 <viritrilbia>

	Updated revision date.

2002-11-12  alanshutko	<alanshutko>

	* .cvsignore: Add semantic.cache.

	* mmm-vars.el (mmm-save-local-variables): Update C variables to save,
	based on Emacs CVS.

	* mmm-cweb.el (cweb): Tweaked indentation.  Add cweb to the

2002-03-09  viritrilbia	 <viritrilbia>

	* mmm-vars.el (mmm-c-derived-modes): Added php-mode.

2002-03-09  viritrilbia	 <viritrilbia>

	# Updated

2002-03-09  viritrilbia	 <viritrilbia>

	* FAQ: Updated comments about other emacs variants.

2001-12-13  viritrilbia	 <viritrilbia>

	(mmm-ify-by-class): Removed duplicates from completion list.

2001-07-06  viritrilbia	 <viritrilbia>

	* FAQ: Added question about end delimiter.

2001-07-05  viritrilbia	 <viritrilbia>

	* mmm-class.el (mmm-match-region): Fixed return values bug, so
		 invalid regions don't interfere with later valid ones.

2001-07-05  viritrilbia	 <viritrilbia>

	* mmm-sample.el (here-doc): Added quotes to here-doc regexp.

2001-07-05  viritrilbia	 <viritrilbia>

	* mmm-sample.el (jsp): Added jsp-comment submode type.

2001-07-05  viritrilbia	 <viritrilbia>

	* FAQ: Don't quote argument to `setq'.	:-)

2001-07-05  uid30977  <uid30977>

	* mmm-sample.el (httpd-conf-perl): Added submode class from Rob
		 Bloodgood <robb@empire2.com>

2001-05-16  viritrilbia	 <viritrilbia>

	# Updated

2001-05-16  viritrilbia	 <viritrilbia>

	# Updated for recent changes in configuration.

2001-05-16  viritrilbia	 <viritrilbia>

	Made C indentation style variables buffer-local. Continue on all MMM
	errors.

2001-05-16  viritrilbia	 <viritrilbia>

	Added C indentation style variables.

2001-05-16  viritrilbia	 <viritrilbia>

	Added `sgml-dtd' submode class from Yann Dirson <ydirson@fr.alcove.com>.

2001-05-15  viritrilbia	 <viritrilbia>

	Added cweb to autoloaded classes.

2001-05-14  viritrilbia	 <viritrilbia>

	Passed arguments to `signal'.

2001-05-14  viritrilbia	 <viritrilbia>

	Defined new submode placement error conditions.

2001-05-14  viritrilbia	 <viritrilbia>

	# Fixed a couple comments

2001-05-14  alanshutko	<alanshutko>

	* mmm-cweb.el: New file.

	* mmm-region.el (mmm-valid-submode-region): New function.
	(mmm-make-region): Allow nested submodes and put the priority in the
	overlay.

2001-04-27  viritrilbia	 <viritrilbia>

	Fixed inline JavaScript regexp ( \w ==> \\w ).

2001-04-26  viritrilbia	 <viritrilbia>

	Empty regions no longer prevent parsing of later regions.

2001-04-26  viritrilbia	 <viritrilbia>

	# Listed keyword arguments that edebug needs (in a comment)

2001-04-26  viritrilbia	 <viritrilbia>

	Corrected reference to `javascript' class to `html-js'.

2001-04-26  viritrilbia	 <viritrilbia>

	Improved instructions for turning off PSGML.  (Thanks to Michael Alan 
	Dorman for the suggestion.)

2001-02-23  viritrilbia	 <viritrilbia>

	# Updated

2001-02-23  viritrilbia	 <viritrilbia>

	Released 0.4.7

2001-02-23  viritrilbia	 <viritrilbia>

	# Added comment about bug fix.

2001-02-19  alanshutko	<alanshutko>

	* mmm-vars.el (mmm-classes-alist): Document new keywords.

	* mmm.texinfo (Region Placement): Document the front-match, back-match
	and end-not-begin keywords.

	* mmm-class.el (mmm-match-region, mmm-ify): Add front-match & back-match
	keywords to specify which submatch to treat as the delimiter.  Add
	end-not-begin key.
	(mmm-match->point): Add front-match and back-match args.

2001-02-13  alanshutko	<alanshutko>

		* mmm-mason.el (mmm-mason-end-line,mmm-mason-start-line): Use
	bolp
	and eolp.

2001-02-10  viritrilbia	 <viritrilbia>

	Added `javascript-mode' to list of C-derived modes.

2001-02-08  viritrilbia	 <viritrilbia>

	# Updated menus.

2001-02-08  viritrilbia	 <viritrilbia>

	Updated mode preferences to check fboundp when regions are created.

2001-02-08  viritrilbia	 <viritrilbia>

	Added file with Emacs-related macros from Alan Shutko.

2001-02-08  viritrilbia	 <viritrilbia>

	Added config.log and mmm.info-*.

2001-02-08  viritrilbia	 <viritrilbia>

	Updated chapter/section headings and menus.

2001-02-08  viritrilbia	 <viritrilbia>

	Added `require's and `defvar's to eliminate compliation warnings.

2001-02-05  mas	 <mas>

	# Updated

2001-02-05  mas	 <mas>

	# Applied patch from Alan Shutko <ats@acm.org>.

2001-02-03  mas	 <mas>

	Added `mmm-primary-mode' variable so that `major-mode' can be saved.

2001-01-15  mas	 <mas>

	(mmm-insert-by-key): Use match-face and major-mode-preferences.

2001-01-15  mas	 <mas>

	(mmm-here-doc-get-mode): Try each word individually first.

2001-01-15  mas	 <mas>

	(mmm-format-matches): Removed reference to `count' variable.

2001-01-15  mas	 <mas>

	Allowed language names for preference lookup as "mode names".

2001-01-15  mas	 <mas>

	(mmm-set-major-mode-preferences): Added function.

2001-01-14  mas	 <mas>

	# Updated docstring

2001-01-14  mas	 <mas>

	(mmm-format-matches): Changed to allow accessing any subexp, not limited
	by a numerical value of save-matches.

2001-01-13  mas	 <mas>

	Modified CSS to use preferred mode.

2001-01-13  mas	 <mas>

	(mmm-save-local-variables): Added syntax and indentation variables for 
	cc-mode and variants.

2001-01-13  mas	 <mas>

	(mmm-major-mode-preferences): Added check for `jde-mode' for Java code.

2001-01-12  mas	 <mas>

	Added ePerl and JSP to autoload.

2001-01-11  mas	 <mas>

	Added ePerl submode class.

2001-01-11  mas	 <mas>

	Modified classes to use preferred mode list.

2001-01-11  mas	 <mas>

	Added alist to keep track of user-preferred major modes.

2001-01-11  mas	 <mas>

	Added flags telling which faces to use for which regions.

2001-01-11  mas	 <mas>

	Added multiple faces and optional levels of decoration.

2001-01-09  mas	 <mas>

	(mmm-save-local-variables): Added `parse-sexp-ignore-comments', which 
	seems to fix indentation in php-mode.

2001-01-08  mas	 <mas>

	(mmm-update-mode-info): Hacked so `font-lock-keywords-alist' works.

2001-01-05  mas	 <mas>

	Added set-background example for XEmacs. Added info-dir-entry.

2000-09-29  mas	 <mas>

	(mmm-apply-class): Rearranged parameters so faces actually work.

2000-09-20  mas	 <mas>

	# Changed email address

2000-09-18  mas	 <mas>

	Released 0.4.6

2000-09-18  mas	 <mas>

	# Updated.

2000-09-17  mas	 <mas>

	Added Q about name capitalization.

2000-09-16  mas	 <mas>

	(mmm-keywords-used): Added `:private'.

2000-09-12  mas	 <mas>

	Added file

2000-09-12  mas	 <mas>

	Added comment about adding files to the distribution.

2000-09-12  mas	 <mas>

	# Added comment about apostrophes

2000-09-12  mas	 <mas>

	Added comment about installing with multiple emacsen.

2000-09-12  mas	 <mas>

	Added FAQ

2000-09-12  mas	 <mas>

	Created Emacs Lisp Archive Entry

2000-09-05  mas	 <mas>

	Set MASON_VERSION.

2000-09-05  mas	 <mas>

	(mmm-display-insertion-key): Prevented (nthcdr -1 ...); breaks in
	XEmacs.

2000-08-29  mas	 <mas>

	(mmm-save-local-variables): Added abbrev-mode variables.

2000-08-29  mas	 <mas>

	(mmm-update-mode-info): Tested against `mmm-set-file-name-for-modes'.

2000-08-29  mas	 <mas>

	(mmm-set-file-name-for-modes): Changed to a list for finer control.

2000-08-24  mas	 <mas>

	(mmm-make-region): Explicitly set keyword defaults in &rest parameter.

2000-08-24  mas	 <mas>

	(mmm-ify): Explicitly set defaults for keywords in &rest parameter.

2000-08-24  mas	 <mas>

	# Reformatted

2000-08-23  mas	 <mas>

	(mmm-set-buffer-file-name-p): Added to control file name setting.

2000-08-23  mas	 <mas>

	(mmm-save-local-variables): Added `mode-popup-menu' for XEmacs.

2000-08-23  mas	 <mas>

	(mmm-update-mode-info): Added some tests for XEmacs 20 to prevent errors
	and unwanted prompts. Cleared modified flag before killing leftover
	temporary buffers.

2000-08-21  mas	 <mas>

	Added comments on RPM Spec, File Variables, and Here-documents.

2000-08-21  mas	 <mas>

	Autoloaded `rpm'.

2000-08-21  mas	 <mas>

	# Added headers.

2000-08-21  mas	 <mas>

	# Added placeholder for rpm-sh.

2000-08-21  mas	 <mas>

	Autoloaded `rpm-sh' submode class from mmm-rpm.el.

2000-08-21  mas	 <mas>

	Added file (contributed by Marcus Harnisch).

2000-08-17  mas	 <mas>

	(mmm-never-modes): Added `forms-mode'.

2000-08-02  mas	 <mas>

	# Updated.

2000-08-02  mas	 <mas>

	(mmm-set-font-lock-defaults): Made into a macro.

2000-08-02  mas	 <mas>

	Autoloaded `mmm-ensure-fboundp'.

2000-08-02  mas	 <mas>

	# Fixed problem.

2000-08-02  mas	 <mas>

	# Updated.

2000-08-02  mas	 <mas>

	Released 0.4.5.

2000-08-02  mas	 <mas>

	# Updated

2000-08-02  mas	 <mas>

	(mmm-update-mode-info): Used compatibility wrapper for font-lock
	defaults.

2000-08-02  mas	 <mas>

	(mmm-set-font-lock-defaults): Added compatibility wrapper function.

2000-08-01  mas	 <mas>

	Added comments about `sgml-parent-document'.

2000-08-01  mas	 <mas>

	# Commented on improvement of here-doc class.

2000-08-01  mas	 <mas>

	(mmm-ensure-fboundp): Created function.

2000-08-01  mas	 <mas>

	(mmm-here-doc-get-mode): Extended to recognize names like TEXT_EOF.

2000-07-31  mas	 <mas>

	# Added CVS snapshot step.

2000-07-29  mas	 <mas>

	Released 0.4.4

2000-07-29  mas	 <mas>

	# Updated.

2000-07-29  mas	 <mas>

	# Updated docstring.

2000-07-29  mas	 <mas>

	# Updated

2000-07-29  mas	 <mas>

	(mmm-get-class-spec): Implemented autoloaded submode classes.

2000-07-29  mas	 <mas>

	(mmm-add-group): Made subclasses of a group private.

2000-07-29  mas	 <mas>

	Added autoloading of submode classes.

2000-07-29  mas	 <mas>

	(mmm-ify-by-class): Added completion on autoloaded classes.  Excluded 
	private classes from completion.

2000-07-29  mas	 <mas>

	(mmm-classes-alist): Updated docstring for new offset values and 
	include- flags.

2000-07-29  mas	 <mas>

	# Updated

2000-07-29  mas	 <mas>

	(here-doc): Updated to use new front-offset values.

2000-07-29  mas	 <mas>

	(mmm-ify, mmm-match-region, mmm-match->point): Added new values for 
	front- and back-offset.

2000-07-29  mas	 <mas>

	(mmm-make-region): Made sure overlays get the delimiter and sticky 
	properties even if they aren't passed explicitly.

2000-07-26  mas	 <mas>

	# Removed another duplicate entry

2000-07-26  mas	 <mas>

	# Removed a duplicate entry

2000-07-26  mas	 <mas>

	# Updated for SourceForge

2000-07-26  mas	 <mas>

	# Updated email address

2000-07-26  mas	 <mas>

	# Updated

2000-07-26  mas	 <mas>

	Changed output name from `mmm' to `mmm-mode'.

2000-07-24  mas	 <mas>

	Updated file-variables class to handle prefixes.

2000-07-23  mas	 <mas>

	Wrote File Variables submode class for the new syntax.

2000-07-22  mas	 <mas>

	# Updated docstring.

2000-07-21  mas	 <mas>

	# Updated folding marks.

2000-07-21  mas	 <mas>

	(mmm-ify-by-class): Added completion on all defined classes.

2000-07-21  mas	 <mas>

	# Updated.

2000-07-21  mas	 <mas>

	(mmm-here-doc-get-mode): Signaled non-fboundp here-document names.

2000-07-21  mas	 <mas>

	(mmm-univ-get-mode): Signaled error on non-fboundp modes.

2000-07-21  mas	 <mas>

	(mmm-match-region, mmm-ify): Caught errors from :match-submode.

2000-07-21  mas	 <mas>

	Added `mmm-no-matching-submode' error signal.

2000-07-21  mas	 <mas>

	Allowed here-documents in any mode with :match-submode. Added insertion
	syntax to here-docs, javascript, and embperl.

2000-07-14  mas	 <mas>

	Added MASON_VERSION variable to keep track of that.

2000-07-14  mas	 <mas>

	Wrote about changing key bindings and local variables. Copied info from
	documentation of `mmm-classes-alist'.

2000-07-13  mas	 <mas>

	(mmm-run-major-mode-hook): Added `ignore-errors' around each call.

2000-07-13  mas	 <mas>

	(mmm-save-local-variables): Changed `defcustom' to `defvar'.

2000-07-13  mas	 <mas>

	# Updated.

2000-07-13  mas	 <mas>

	Wrote about global classes, highlight, mode line, and hooks.

2000-07-13  mas	 <mas>

	Limited matches to letter/dash strings that are fboundp.

2000-07-12  mas	 <mas>

	Added comment about `mmm-global-mode'.

2000-07-12  mas	 <mas>

	# Added comment about universal mode.

2000-07-12  mas	 <mas>

	# Updated.

2000-07-12  mas	 <mas>

	Changed syntax to {%MODE%} to avoid possible conflicts.

2000-07-12  mas	 <mas>

	# Updated

2000-07-12  mas	 <mas>

	Added to CVS.

2000-07-12  mas	 <mas>

	Added `version.texi' to step 3.

2000-07-12  mas	 <mas>

	# Updated.

2000-07-12  mas	 <mas>

	Released 0.4.3.

2000-07-12  mas	 <mas>

	# Updated for 0.4.3

2000-07-12  mas	 <mas>

	Changed %[...]% to [%...%] which looks much nicer.

2000-07-12  mas	 <mas>

	# Updated.

2000-07-12  mas	 <mas>

	Wrote more about Mason.

2000-07-12  mas	 <mas>

	Moved commentary code to README.Mason.

2000-07-12  mas	 <mas>

	Added README.Mason to EXTRA_DIST.

2000-07-12  mas	 <mas>

	Created file.

2000-07-12  mas	 <mas>

	# Updated stuff.

2000-07-12  mas	 <mas>

	# Created file to aid developer(s).

2000-07-11  mas	 <mas>

	(mmm-update-mode-info): Used `mmm-make-temp-buffer'.  Put font-lock 
	property directly rather than setting the variable first.

2000-07-11  mas	 <mas>

	(mmm-mode-off): Reset font-lock variables.

2000-07-11  mas	 <mas>

	(mmm-make-temp-buffer): Added as workaround for make-indirect-buffer.

2000-07-11  mas	 <mas>

	(mmm-enable-font-lock, mmm-update-font-lock-buffer,
	mmm-update-mode-info): Conditioned font-lock usage on
	mmm-font-lock-available-p.

2000-07-11  mas	 <mas>

	(mmm-font-lock-available-p): Added flag.

2000-07-11  mas	 <mas>

	# Removed (require 'font-lock).

2000-07-11  mas	 <mas>

	(mmm-update-mode-info): Killed any lingering temporary buffers.

2000-07-11  mas	 <mas>

	(mmm-insert-by-key): Made inserted regions beg- and end-sticky.

2000-07-11  mas	 <mas>

	(mmm-keywords-used): Added :classes.

2000-06-30  mas	 <mas>

	Released 0.4.2a.

2000-06-30  mas	 <mas>

	Reordered Inspection and Creation for byte compiler.

2000-06-30  mas	 <mas>

	Moved mmm-mode variable to mmm-vars.el.

2000-06-30  mas	 <mas>

	Added some autoloads.

2000-06-30  mas	 <mas>

	Added mmm-univ.el.

2000-06-30  mas	 <mas>

	# Updated for 0.4.2.

2000-06-30  mas	 <mas>

	Released 0.4.2.

2000-06-30  mas	 <mas>

	# Did stuff, updated comments.

2000-06-30  mas	 <mas>

	(mmm-mode-on-maybe): Conditioned font-lock updating on mmm-mode.

2000-06-30  mas	 <mas>

	Removed use-local-map advice; no longer necessary (thank goodness!)

2000-06-30  mas	 <mas>

	Allowed dynamically specified submodes.

2000-06-30  mas	 <mas>

	Fixed font-lock woes (hopefully).

2000-06-30  mas	 <mas>

	Added Embperl.

2000-06-30  mas	 <mas>

	(mmm-global-classes): Added variable controlling global classes.

2000-06-30  mas	 <mas>

	Created file defining `universal' submode.

2000-06-30  mas	 <mas>

	Added Embperl.

2000-06-30  mas	 <mas>

	Added def-edebug-specs.

2000-06-29  mas	 <mas>

	# Updated comment about psgml.

2000-06-29  mas	 <mas>

	(mmm-fontify-region-list): Saved local variables before moving.

2000-06-29  mas	 <mas>

	(mmm-check-changed-buffers): Checked for live buffer.

2000-06-29  mas	 <mas>

	(mmm-valid-buffer): Checked against noninteractive and hidden buffers.

2000-06-29  mas	 <mas>

	(mmm-check-changed-buffers): Added check against minibuffers.

2000-06-29  mas	 <mas>

	(mmm-never-modes): Added `eshell-mode'.

2000-06-28  mas	 <mas>

	# Updated.

2000-06-28  mas	 <mas>

	Released 0.4.1.

2000-06-28  mas	 <mas>

	(mmm-overlays-in): Added DELIM parameter.
	(mmm-submode-changes-in): Added strict flags calling overlays-in.

2000-06-27  mas	 <mas>

	Released 0.4.0.

2000-06-27  mas	 <mas>

	# Changed version numbers

2000-06-27  mas	 <mas>

	# Updated.

2000-06-27  mas	 <mas>

	Changed mmm-global-mode to use post-command-hook method rather than 
	stack-walk method.

2000-06-27  mas	 <mas>

	# Added comment about loading supplied classes separately.

2000-06-27  mas	 <mas>

	Fixed bug saving variables when creating regions; need to set them
	first.

2000-06-27  mas	 <mas>

	# Updated docstring

2000-06-27  mas	 <mas>

	Added creation-hook, fixed mode-name problem.

2000-06-27  mas	 <mas>

	Added mmm-[get,set]-class-parameters and creation-hook.

2000-06-27  mas	 <mas>

	Fixed bug where font-lock-mode was set to `t' globally, causing 
	global-font-lock-mode to turn it off.

2000-06-27  mas	 <mas>

	# Reformatting.

2000-06-26  mas	 <mas>

	# Commented on local variable improvements and version numbers.

2000-06-26  mas	 <mas>

	# Improved local variable setting, added some new ideas.

2000-06-26  mas	 <mas>

	# Changed to use mmm-temp-buffer-name

2000-06-26  mas	 <mas>

	Rewrote local variable functions, added new ones, changed updating, 
	fontification, and region creation functions to handle this.

2000-06-26  mas	 <mas>

	Added setting and clearing local variables with mode on and off.

2000-06-26  mas	 <mas>

	(mmm-save-local-variables): Added extra parameters for saving type and 
	modes, and updated documentation. Created several variables to save
	buffer- and region- locals.
	(mmm-temp-buffer-name): Created variable and changed references.

2000-06-23  mas	 <mas>

	(mmm-save-local-variable): Added comment-line-start-skip for Fortran.

2000-06-13  mas	 <mas>

	Added comment about (require 'mmm-mason).

2000-06-13  mas	 <mas>

	# Updated documentation strings.

2000-06-08  mas	 <mas>

	Released 0.3.10

2000-06-08  mas	 <mas>

	Released 0.3.10.

2000-06-08  mas	 <mas>

	# Added .tar.gz files.

2000-06-08  mas	 <mas>

	(mmm-overlays-in): Added checks for point-min and point-max for XEmacs.
	(use-local-map): Added the advice back in.

2000-06-08  mas	 <mas>

	# Updated.

2000-06-08  mas	 <mas>

	Released 0.3.9.

2000-06-08  mas	 <mas>

	# Updated.

2000-06-08  mas	 <mas>

	# Per-buffer local variable saving.

2000-06-08  mas	 <mas>

	(use-local-map): Conditioned advice definition on not XEmacs.

2000-05-28  mas	 <mas>

	Added info file and auxiliary compilation and texinfo files.

2000-05-28  mas	 <mas>

	Added configure auxiliary files.

2000-05-28  mas	 <mas>

	Ignored Makefile.in, Makefile, and configure.

2000-05-28  mas	 <mas>

	Added files required by automake.

2000-05-28  mas	 <mas>

	Added to CVS (formerly not under RCS).

2000-05-24  mas	 <mas>

	Pre-added major mode hook to text-mode-hook.

2000-05-19  mas	 <mas>

	(mmm-version): changed to 0.3.8.

2000-05-18  mas	 <mas>

	Moved `require's back to top level for byte-compiling.	Added dummy 
	definition of `mmm-real-use-local-map' to shut up byte compiler.

2000-05-18  mas	 <mas>

	Moved `require's back to top level for byte-compiling.

2000-05-18  mas	 <mas>

	`require'd mmm-vars at top level for byte-compiling.

2000-05-18  mas	 <mas>

	Added all the elisp files to EXTRA_DIST, since Automake doesn't see them
	as sources for the distribution.

2000-05-10  mas	 <mas>

	Fixed bug: # is not allowed in symbols.

2000-05-10  mas	 <mas>

	Changed insertion key of <%doc> to `d' and added insertion of %# comment
	lines with insertion keys `#' and `3'.

2000-05-10  mas	 <mas>

	Distinguished between Perl sections and pseudo-Perl sections.  The one 
	inserts ; at the beginning for indentation hack, the other doesn't 
	because the Mason syntax doesn't allow it and indentation is generally 
	unnecessary anyway.

2000-05-10  mas	 <mas>

	Fixed "sub"-insertion specs like <%perl> under <%TAG> not to insert the
	interactor string.

2000-05-03  mas	 <mas>

	Added dependencies on mmm-compat and mmm-vars.

2000-04-30  mas	 <mas>

	Initial revision

2000-04-30  mas	 <mas>

	Changed (progn (require ...)) to (when t (require ...)) because the 
	first is still "top level" for the byte compiler.

2000-04-30  mas	 <mas>

	Required font-lock and mmm-auto at top level for byte compilation. Moved
	local maps to come before updating hooks for byte compilation.

2000-04-30  mas	 <mas>

	Loaded CL at top level for byte-compile.

2000-04-30  mas	 <mas>

	Put all `require's not needed at compile-time into `progn's so the 
	byte-compiler doesn't load them (not at top level).  Only `mmm-compat' 
	and `mmm-utils' need to be loaded at compile-time, since they define 
	macros.

2000-04-27  mas	 <mas>

	Initial revision

